View Issue Details

IDProjectCategoryView StatusLast Update
0000466bareos-coredirectorpublic2015-06-01 16:20
Reporteryounghacker Assigned Tomvwieringen  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86_64OSScientific Linux release 6.1OS Version6.1 (Carbon)
Product Version14.2.2 
Summary0000466: option noatime = yes in bconcole displays like 6 (digit)
DescriptionOption noatime = yes is set in director's include config
But in bconsole is displayed as digit 6

I'm using different clients on hosts
bacula-client-5.0.3-1
bacula-client-5.0.3-2.fc13.x86_64
bareos-client-14.2.2-46.1.el6.x86_64

For all clients bconsole displays 6 instead noatime = yes.

By the way option noatime works. atime on file has not been changed. I checked it once on full backup.
Steps To ReproduceFileSet {
  Name = b01.node02.local
  Include {
    Options {
      signature = MD5
      compression = GZIP
      noatime = yes
    }
    File = /etc
  }
}

# echo "show filesets" | bconsole | sed -n '/Options[ \t]*{/,/}/p'
    Options {
      Signature = MD5
      Compression = GZIP
6
    }
....
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impactyes
bareos-14.2: actionfixed
bareos-13.2: impact
bareos-13.2: actionnone
bareos-12.4: impact
bareos-12.4: actionnone

Relationships

child of 0000447 closedjoergs Release bareos-14.2.5 

Activities

mvwieringen

mvwieringen

2015-05-11 22:19

developer   ~0001718

What you see if an artifact of the pretty printer that prints the configuration
into a human readable form from the internal parsed version. As you already found
out things work fine only the pretty printer gives wrong output. When you use
compression = gzip that translates to GZIP6 internally (default level) so the
actual problem is that it prints GZIP\n6\n e.g. one \n to much and eats one extra
character on it way so the internal option 'K' from NoAtime never gets printed.

Patch is written so it should be fixed soon on our experimental branch.
mvwieringen

mvwieringen

2015-05-12 19:43

developer   ~0001727

Fix committed to bareos master branch with changesetid 5226.
mvwieringen

mvwieringen

2015-05-29 18:06

developer   ~0001760

Fix committed to bareos bareos-14.2 branch with changesetid 5349.

Related Changesets

bareos: master 0a711790

2015-05-11 20:18:38

mvwieringen

Ported: N/A

Details Diff
Fix config pretty printer.

When printing the compression used it eats an extra char so the pretty
printer doesn't print the next option in the option string. We should
also print GZIP without \n as we print the level after it, currently
its printed on the next line.

Fixes 0000466: option noatime = yes in bconcole displays like 6 (digit)
Affected Issues
0000466
mod - src/dird/dird_conf.c Diff File

bareos: bareos-14.2 7a5dbed5

2015-05-11 20:18:38

mvwieringen

Ported: N/A

Details Diff
Fix config pretty printer.

When printing the compression used it eats an extra char so the pretty
printer doesn't print the next option in the option string. We should
also print GZIP without \n as we print the level after it, currently
its printed on the next line.

Fixes 0000466: option noatime = yes in bconcole displays like 6 (digit)
Affected Issues
0000466
mod - src/dird/dird_conf.c Diff File

Issue History

Date Modified Username Field Change
2015-05-11 14:23 younghacker New Issue
2015-05-11 22:15 mvwieringen Assigned To => mvwieringen
2015-05-11 22:15 mvwieringen Status new => assigned
2015-05-11 22:19 mvwieringen Note Added: 0001718
2015-05-12 19:43 mvwieringen Changeset attached => bareos master 0a711790
2015-05-12 19:43 mvwieringen Note Added: 0001727
2015-05-12 19:43 mvwieringen Status assigned => resolved
2015-05-12 19:43 mvwieringen Resolution open => fixed
2015-05-27 12:36 joergs Relationship added child of 0000447
2015-05-27 12:37 joergs bareos-master: impact => yes
2015-05-27 12:37 joergs bareos-master: action => fixed
2015-05-27 12:37 joergs bareos-14.2: impact => yes
2015-05-27 12:37 joergs bareos-14.2: action => will care
2015-05-27 12:37 joergs Steps to Reproduce Updated
2015-05-29 18:06 mvwieringen Changeset attached => bareos bareos-14.2 7a5dbed5
2015-05-29 18:06 mvwieringen Note Added: 0001760
2015-06-01 16:20 joergs bareos-14.2: action will care => fixed
2015-06-01 16:20 joergs bareos-13.2: action => none
2015-06-01 16:20 joergs bareos-12.4: action => none
2015-06-01 16:20 joergs Status resolved => closed